- Update to dracut mainline version 041. Half of the patches got integrated mainline. Some others have been merged together when it made sense some have been left out, but are still in the repository as they need some special treating and mainline discussion whether/how they get added. These are also not urgently needed, but are debugging patches. I broke the rule here to mention every added/deleted/modified patch as every patch is touched and every 2nd got removed (mainline integrated). I also re-ordered the patches in the PatchXY: area for easier merging them and get them discussed and posted mainline easier, topic by topic. OBS-URL: https://build.opensuse.org/request/show/293267 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=214
54 lines
2.0 KiB
Diff
54 lines
2.0 KiB
Diff
From 7995f23a106e28afa0204b5eca68671cb514b1d9 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Tue, 21 Jan 2014 14:32:09 +0100
|
|
Subject: [PATCH] Add new s390x-specific rule files
|
|
|
|
With the new s390x configuration tool the naming of the udev
|
|
rules files have changed. So add these to the existing ones
|
|
to be compatible with existing and new installations.
|
|
|
|
References: bnc#856585
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/95dasd_rules/module-setup.sh | 4 ++--
|
|
modules.d/95zfcp_rules/module-setup.sh | 1 +
|
|
2 files changed, 3 insertions(+), 2 deletions(-)
|
|
|
|
Index: dracut-041/modules.d/95dasd_rules/module-setup.sh
|
|
===================================================================
|
|
--- dracut-041.orig/modules.d/95dasd_rules/module-setup.sh 2015-01-31 12:54:52.000000000 +0100
|
|
+++ dracut-041/modules.d/95dasd_rules/module-setup.sh 2015-03-17 12:38:30.046605162 +0100
|
|
@@ -4,7 +4,7 @@
|
|
check() {
|
|
local _arch=$(uname -m)
|
|
[ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
|
|
- require_binaries dasd_configure /usr/lib/udev/collect || return 1
|
|
+ require_binaries /usr/lib/udev/collect || return 1
|
|
return 0
|
|
}
|
|
|
|
@@ -16,10 +16,10 @@
|
|
|
|
# called by dracut
|
|
install() {
|
|
- inst_multiple /usr/lib/udev/collect
|
|
inst_hook cmdline 30 "$moddir/parse-dasd.sh"
|
|
if [[ $hostonly ]] ; then
|
|
inst_rules_wildcard 51-dasd-*.rules
|
|
+ inst_rules_wildcard 41-s390x-dasd-*.rules
|
|
fi
|
|
inst_rules 59-dasd.rules
|
|
}
|
|
Index: dracut-041/modules.d/95zfcp_rules/module-setup.sh
|
|
===================================================================
|
|
--- dracut-041.orig/modules.d/95zfcp_rules/module-setup.sh 2015-01-31 12:54:52.000000000 +0100
|
|
+++ dracut-041/modules.d/95zfcp_rules/module-setup.sh 2015-03-17 12:38:30.050605397 +0100
|
|
@@ -19,5 +19,6 @@
|
|
inst_hook cmdline 30 "$moddir/parse-zfcp.sh"
|
|
if [[ $hostonly ]] ; then
|
|
inst_rules_wildcard 51-zfcp-*.rules
|
|
+ inst_rules_wildcard 41-s390x-zfcp-*.rules
|
|
fi
|
|
}
|